<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data noupdate="1">
        <record id="sequence_stock_picking_out" model="ir.sequence">
            <field name="name">YourCompany Sequence ocout</field>
            <field name="prefix">WH/OCOUT/</field>
            <field name="padding">5</field>
        </record>

        <record id="sequence_stock_picking_in" model="ir.sequence">
            <field name="name">YourCompany Sequence ocin</field>
            <field name="prefix">WH/OCIN/</field>
            <field name="padding">5</field>
        </record>

        <record id="stock_location_locations_virtual_outcontract" model="stock.location">
            <field name="name">外协</field>
            <field name="location_id" ref="stock.stock_location_locations_virtual"/>
            <field name="usage">internal</field>
            <field name="barcode">VL-OC</field>
            <field name="active">true</field>
            <field name="company_id" ref="base.main_company"/>
        </record>

        <record id="outcontract_picking_in" model="stock.picking.type">
            <field name="name">外协入库</field>
            <field name="code">internal</field>
            <field name="active">true</field>
            <field name="sequence_id" ref="sequence_stock_picking_in"/>
            <field name="company_id" ref="base.main_company"/>
            <field name="sequence_code">OCIN</field>
            <field name="default_location_src_id" ref="stock_location_locations_virtual_outcontract"/>
            <field name="default_location_dest_id"
                   search="[('barcode','=','WH-PREPRODUCTION')]"/>
        </record>

        <record id="outcontract_picking_out" model="stock.picking.type">
            <field name="name">外协出库</field>
            <field name="code">internal</field>
            <field name="sequence_id" ref="sequence_stock_picking_out"/>
            <field name="active">true</field>
            <field name="company_id" ref="base.main_company"/>
            <field name="sequence_code">OCOUT</field>
            <field name="default_location_src_id"
                   search="[('barcode','=','WH-PREPRODUCTION')]"/>
            <field name="default_location_dest_id" ref="stock_location_locations_virtual_outcontract"/>
        </record>


    </data>
</odoo>
